#version 450
layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec3 tangent;
layout(location = 3) in vec3 biTangent;
layout(location = 4) in vec3 textureCoordinates;
layout(location = 5) in vec4 color;
layout(location = 1) out vec2 fragTextureCoordinates;

layout(set = 0, binding = 0) uniform NodeData
{
	mat4 world;
} node;

layout(set = 1, binding = 0) uniform CameraData
{
    mat4 viewProjection;
	mat4 view;
	mat4 projection;
	vec4 camPos;
} cam;

void main() {
    gl_Position = cam.viewProjection * node.world * vec4(position, 1.0);
    fragTextureCoordinates.xy = textureCoordinates.xy;
}
